[Mono-dev] mono frustration

PFJ paul at all-the-johnsons.co.uk
Tue Apr 18 07:34:48 EDT 2006


On Tue, 2006-04-18 at 12:24 +0300, Anton Andreev wrote:
>   Did anyone installed mono on fedora core 5

Yes. It's quite nice. Okay, it needs updating to 1.1.15, but this isn't
the right list for discussion on that.

> There is a problem with gtkhtml3 and gtk-sharp, pango ...

Is there?

>  Mono frustrated me again,cause I wanted to try the new Fedora with new
> Monodevelop with the new Glade designer. 

Monodevelop is not in FC-extras yet. It is currently awaiting approval.

> I even reinstalled my fedora, replaced
> the 64 bit edition with 32 bit edition, but guess what - I had the same
> problem.

And that doesn't surprise me. 

> I will wait a few more months I suppose till fedora core 5 binaries are
> released or the yum dependencies are fixed ...

Okay, quick fix (won't work on 64bit fedora core currently). Open a
terminal window

yum -y install fedora-rpmdevtools
wget http://www.smmp.salford.ac.uk/packages/boo-
wget http://www.smmp.salford.ac.uk/packages/ikvm-0.22-4.src.rpm
wget http://www.smmp.salford.ac.uk/packages/mod_mono-1.1.14-1.src.rpm
wget http://www.smmp.salford.ac.uk/packages/mono-debugger-0.12-1.src.rpm
wget http://www.smmp.salford.ac.uk/packages/monodevelop-0.10-4.src.rpm
wget http://www.smmp.salford.ac.uk/packages/monodoc-1.1.13-3.src.rpm
wget http://www.smmp.salford.ac.uk/packages/xsp-1.1.13-1.src.rpm
rpm -ihv *.src.rpm
rpmbuild -ba rpmbuild/SPECS/boo.spec
rpmbuild -ba rpmbuild/SPECS/gtksourceview-sharp.spec
rpm -ihv rpmbuild/noarch/*
rpm -ihv rpmbuild/i386/*
rpmbuild -ba rpmbuild/SPECS/ikvm.spec
rpm -ihv rpmbuild/i386/ikvm*

(you'll need to do this after each package being built - change ikvm for
the name of the package)

rpmbuild -ba rpmbuild/SPECS/monodoc.spec
rpmbuild -ba rpmbuild/SPECS/mono-debugger.spec
rpmbuild -ba rpmbuild/SPECS/monodevelop.spec

If you want to server ASP.NET files via Apache

rpmbuild -ba rpmbuild/SPECS/xsp.spec
rpmbuild -ba rpmbuild/SPECS/mod_mono.spec

If the build process stops and says you need a particular package,

yum -y install <package-name>

That lot may look a bit hairy, but if you follow my instructions, it
will be quite painless.

I've not put the rpms up on the Salford server as they're not required
for Fedora Extras approval.

You now have just about all of the rpms available installed on your
machine. Any problems, please email me directly (or report them here). I
am pushing quite hard for these to be included into Fedora Extras, but
things are a tad slow with the chaps currently.

It may be worth joining the fedora-extras list as well and poking there.



"Logic, my dear Zoe, is merely the ability to be wrong with authority" -
Dr Who

More information about the Mono-devel-list mailing list